{% extends('/layouts/layout_main.twig') %}
{% block content %}

    <h1>Liste des notifications</h1>
    <h2>{{ notifications|length }} notifications paramétrées</h2>    

    <table class="table">
        <tr>
            <th>Username</th>
            <th>Station</th>
            <th>Seuil</th>
            <th>Montant/descendant</th>
            <th>Fonction</th>
            <th>Type</th>
            <th>Date de création</th>
            <th></th>
            <th></th>
        </tr>
        {% for n in notifications %}
            {% if n.active == 1 %}
                <tr>
                    <td>{{ n.username }}</td>
                    <td>{{ n.point_suivi }}</td>
                    <td>{{ n.seuil }}</td>
                    <td>{{ n.montant_descendant }}</td>
                    <td>{{ attribute(app.FONCTIONS_NOTIFICATIONS,n.fonction~' '~n.fonction_parametres)  }}</td>
                    <td>{{ n.type_notification }}</td>
                    <td>{{ n.date_creation|date('d/m/Y') }}</td>
                    <td><a href="{{ url('notification', { 'id_notification' : n.id_notification, 'username' : app.session.get('U').username }) }}" class="btn btn-primary"><span class="glyphicon glyphicon-pencil"></span> Modifier</a></td>
                    <td><a onclick="if (!confirm('Confirmez-vous la suppression ?'))
                                return false;" href="{{ url('notification-suppression', { 'id_notification' : n.id_notification, 'username' : n.username }) }}" class="btn btn-danger"><span class="glyphicon glyphicon-remove"></span> Supprimer</a></td>
                </tr>
                <tr>
                    <td></td>
                    <td colspan='6'>
                        {{ render(url('notification-envois', { 'username' : n.username, 'id_notification' : n.id_notification })) }}
                    </td>
                </tr>
            {% endif %}
        {% endfor %}
    </table>   

    <h1>Liste des envois</h1>
    <h2>{{ envois|length }} notifications envoyées depuis 1 semaine</h2>
    <table class="table">
        <tr>
            <th>Envoyé à </th>
            <th>Point de suivi</th>
            <th>Seuil</th>
            <th>mt/dsc</th>
            <th>Type</th>
            <th>Date envoi</th>
            <th>Statut</th>
        </tr>

        {% for e in envois %}
            <tr>
                <td>{{ e.username }}</td>
                <td>{{ e.point_suivi }}</td>
                <td>{{ e.seuil }}</td>
                <td>{{ e.montant_descendant }}</td>
                <td>{{ e.type_notification }}</td>
                <td>{{ e.date_envoi_notification|date('d/m/Y \à H:i:s') }}</td>
                <td>{{ e.statut }}</td>
            </tr>
        {% endfor %}
    </table> 



{% endblock %}